package com.cataworx;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class PerformanceData implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label(value = "startTime")
	private java.lang.String startTime;
	@org.kie.api.definition.type.Label(value = "endTime")
	private java.lang.String endTime;
	@org.kie.api.definition.type.Label(value = "status")
	private java.lang.String status;
	@org.kie.api.definition.type.Label(value = "min")
	private java.lang.Long min;
	@org.kie.api.definition.type.Label(value = "max")
	private java.lang.Long max;

	public PerformanceData() {
	}

	public java.lang.String getStartTime() {
		return this.startTime;
	}

	public void setStartTime(java.lang.String startTime) {
		this.startTime = startTime;
	}

	public java.lang.String getEndTime() {
		return this.endTime;
	}

	public void setEndTime(java.lang.String endTime) {
		this.endTime = endTime;
	}

	public java.lang.String getStatus() {
		return this.status;
	}

	public void setStatus(java.lang.String status) {
		this.status = status;
	}

	public java.lang.Long getMin() {
		return this.min;
	}

	public void setMin(java.lang.Long min) {
		this.min = min;
	}

	public java.lang.Long getMax() {
		return this.max;
	}

	public void setMax(java.lang.Long max) {
		this.max = max;
	}

	public PerformanceData(java.lang.String startTime,
			java.lang.String endTime, java.lang.String status,
			java.lang.Long min, java.lang.Long max) {
		this.startTime = startTime;
		this.endTime = endTime;
		this.status = status;
		this.min = min;
		this.max = max;
	}

}